Recalbox 7.0

Probleme Ecran 22 pouces Vga -> HDMI avec recalbox



  • Bonjour à tous, alors voila après avoir cherché partout et essayé d'autres manip sur des tutos déjà présent, je n'arrive toujours pas à régler mon problème d'écran.
    J'ai un Hpv220 en 22 pouces qui ne se branche que en vga, donc j'ai un adaptateur hdmi pour mon raspberry pi3.
    Le soucis étant que sur le menu recalbox, tout est parfait ! sauf quand je lance n'importe quel jeu de n'importe quel émulateur, le jeu se voit en entier mais est complètement décalé a gauche de l'écran, laissant donc une grosse bande noire sur la moitié de l'écran sur la droite.
    Alors j'ai déja éssayé de changer depuis recalbox les différents paramètres auto 4/3 16/9 personnalisé, rien y fait. J'ai meme changé depuis la racine du fichier " global.videomode= " que j'ai mis en default, rien n'y fait aussi. Je me tape la tête je ne trouve pas du tout et je commence a perdre espoir.

    Merci de vos futures réponses.



  • Bonjour,

    Essai de désactiver le pixel perfect dans les options.



  • il est déjà désactivé, rien y fait toujours même problème.



  • @Jinkz Tu pourrais te connecter en SSH et lancer le script /recalbox/scripts/recalbox-support.shet me mettre à disposition l'archive fournie ? Je me demande si ce n'est pas ton HDMI2VGA qui pourrait déconner



  • ce que tu me demande Substring c'est d'aller dans recalbox.config et te donner les lignes ? si oui lesquels ?


  • Global moderator
    Team



  • alors voila j'ai télécharger winscp tout nickel je vous fait parvenir le fichier que Substring m'a demandé

    #!/bin/sh

    GTMP="/tmp"
    DHOME="/recalbox/share/system"

    to be callable by any external tool

    if test $# -eq 1
    then
    REPORTNAME=$(basename "$1" | sed -e s+'^([^.])..$'+'\1'+)
    OUTPUTFILE="$1"
    else
    REPORTNAME="recalbox-support-"$(date +%Y%m%d%H%M%S)
    OUTPUTFILE="/recalbox/share/saves/""$REPORTNAME"".tar.gz"
    fi

    TMPDIR="$GTMP""/""$REPORTNAME"

    f_cp() {
    test -e "$1" && cp "$1" "$2"
    }

    d_cp() {
    test -d "$1" && cp -pr "$1" "$2"
    }

    if mkdir "$TMPDIR" && mkdir "$TMPDIR"/{system,joysticks,lirc,kodi}
    then
    if ! cd "$TMPDIR"
    then
    echo "Change directory failed" >&2
    exit 1
    fi
    else
    echo "Reporting directory creation failed" >&2
    exit 1
    fi

    SYSTEM

    DSYSTEM="$TMPDIR""/system"
    dmesg > "$DSYSTEM""/dmesg.txt"
    lsmod > "$DSYSTEM""/lsmod.txt"
    ps > "$DSYSTEM""/ps.txt"
    df -h > "$DSYSTEM""/df.txt"
    netstat -tuan > "$DSYSTEM""/netstat.txt"
    lsusb -v > "$DSYSTEM""/lsusb.txt" 2>/dev/null
    tvservice -m CEA > "$DSYSTEM""/tvservice-CEA.txt"
    tvservice -m DMT > "$DSYSTEM""/tvservice-DMT.txt"
    ifconfig -a > "$DSYSTEM""/ifconfig.txt"
    f_cp /recalbox/recalbox.version "$DSYSTEM"
    f_cp /recalbox/recalbox.arch "$DSYSTEM"
    f_cp /boot/config.txt "$DSYSTEM"
    f_cp /recalbox/share/system/recalbox.conf "$DSYSTEM"
    f_cp /recalbox/share/system/logs/recalbox.log "$DSYSTEM"
    f_cp /var/log/messages "$DSYSTEM"
    f_cp /recalbox/share/system/.emulationstation/es_settings.cfg "$DSYSTEM"
    f_cp /recalbox/share/system/.emulationstation/es_log.txt "$DSYSTEM"
    f_cp /recalbox/share/system/.emulationstation/es_input.cfg "$DSYSTEM"
    f_cp /boot/recalbox-boot.conf "$DSYSTEM"

    joysticks

    DJOYS="$TMPDIR""/joysticks"
    find /dev/input > "$DJOYS""/inputs.txt"
    for J in /dev/input/event*
    do
    N=$(basename $J)
    evtest --info "$J" > "$DJOYS""/evtest.""$N"".txt"
    udevadm info -q all -n "$J" > "$DJOYS""/udevadm.""$N"".txt"
    done

    lirc

    DLIRC="$TMPDIR""/lirc"
    f_cp "$DHOME""/.config/lirc/lircd.conf" "$DLIRC"

    kodi

    DKODI="$TMPDIR""/kodi"
    f_cp "$DHOME""/.kodi/userdata/Lircmap.xml" "$DKODI"
    f_cp "$DHOME""/.kodi/userdata/keymaps/recalbox.xml" "$DKODI"
    d_cp "$DHOME""/.kodi/userdata/remotes" "$DKODI"
    f_cp "$DHOME""/.kodi/temp/kodi.log" "$DKODI"

    if ! (cd "$GTMP" && tar cf - "$REPORTNAME" | gzip -c > "$OUTPUTFILE")
    then
    echo "Reporting zip creation failed" >&2
    exit 1
    fi

    rm -rf "$TMPDIR"
    echo "$OUTPUTFILE"
    exit 0



  • sachant que la en ce moment meme il est branché sur ma télé car la box est en dessous ( connecté a ethernet du temps que j'arrive a le connecter sur wifi ) car je n'arrive toujours pas a me connecter en wifi aussi ...


  • Global moderator
    Team

    Il faudrait prendre le temps de bien lire le tuto.
    Il faut executer la.ligne de commande pour qu il cree larchive puis tu la recupéres sur ton pc et tu luploades sur lun des sites indiqués.



  • j'ai fait la manip j'ai rentré le code source et dans la console cela me donne ceci

    Using username "root".
    root@recalbox's password:

    /recalbox/scripts/recalbox-support.sh

    /recalbox/share/saves/recalbox-support-20170213094016.tar.gz

    Ensuite je doit faire comment pour recuperer l'archive ? je suis pas fort fort dans ce domaine la lol mais je suis le tuto 🙂



  • @Jinkz j'ai trouvé l'archive sous forme .zip, maintenant je doit l'upload sur un des deux site, mais je met l'archive en entier ou dossier par dossier ?


  • Global moderator
    Team

    Avec winscp tu te rends dans le dossier saves pour récupérer l'archive recalbox-support-20170213094016.tar.gz

    tu ne décompresses rien on a besoin de tout

    winscp s'utilise comme l'explorateur windows.
    A gauche ton pc à droite le contenu de la microsd.

    /recalbox/share/saves/recalbox-support-20170213094016.tar.gz

    puis tu envoies l'archive sur dl.free.fr ou zippyshare.com



  • desolé pour les reply je pense avoir compris voici le lien

    http://www89.zippyshare.com/v/5QFuUrUp/file.html



  • Du coup ceci vous aide en quelque chose ? car je désespere vraiment entre ca et le wifi de mon rpi3 qui ne veut pas marcher 😞


  • Global moderator
    Team

    Bonjour @Jinkz

    configure correctement winscp en utilisant ce tutoriel :
    https://github.com/recalbox/recalbox-os/wiki/acces-via-WinSCP-(FR)

    ensuite il faut monter la parititon en écriture via ssh
    https://github.com/recalbox/recalbox-os/wiki/partition-en-ecriture-(FR)

    mount -o remount,rw /boot
    

    une fois fait editer le fichier suivant via winscp et notepad++

    /boot/config.txt
    

    repère la ligne suivante :

    hdmi_drive=2
    

    et ajouter le symbole dièse # devant la ligne comme ceci :

    #hdmi_drive=2
    

    enregistre les modifications et redémarre ton raspberry
    y a t il du mieux ?



  • alors j'ai bien configurer winscp, ensuite monter la partition écriture via ssh je sais pas jy connait rien mais j'ai suivi le tute j'ai rentré ce que tu m'as dit et sa m'a affiché une ligne supplémentaire, ensuite j'ai fais exécuter, je suis sorti je suis allé dans le dossier config.txt ouvrir avec notepad++ j'ai bien mis le # devant la bonne ligne, rien y fait ...

    apres j'ai remarqué aussi quand je suis dans le menu recalbox tout est nickel, quand je lance un jeu je vais sur retroarch j'ai éssayé de modifier dans config > video > Acpect ratio Index, j'ai beau mettre n'importe quoi, sa va du grand au petit au plus gros etc ... mais meme si c'est enorme sa laisse toujours une seule bande noire sur la droite, meme si apres je modifie manuellement avec custom viewport X, la bande reste toujours .... je desespere 😞



  • Apres j'ai essayé à l'instant sur un autre ecran de 17 ou 19 pouces je sais plus en vga/hdmi sa marche nickel. Donc je comprend pas. Si sa viendrait de mon ecran il bugerais des recalbox non ? Quand je m'en servait pour l'ordinateur il marchais super. Je comprend pas 😕



  • @Jinkz peux pas regarder ton archive là, mais il faudrait que tu repartes d'un recalbox.conf par défaut, idem pour la config de retroarch



  • D'accord mais ensuite ayant reparti à zero que faire ?



  • Vraiment desole de vous embêter à ce point avec ce sujet 😕



Want to support us ?

170
Online

79.1k
Users

20.3k
Topics

149.1k
Posts